#!/bin/sh

echo start celery worker
cd /opt/domain/nfs-domain-mainserver/nfs_domain_mainserver/
export PYTHONOPTIMIZE=1

python /opt/domain/nfs-domain-mainserver/PYTHONVENV/bin/celery --app=celery_task.celery worker -E -l info -Q default &

python /opt/domain/nfs-domain-mainserver/PYTHONVENV/bin/celery --app=celery_task.celery worker -E -l info -Q freeipa &

python /opt/domain/nfs-domain-mainserver/PYTHONVENV/bin/celery --app=celery_task.celery worker -E -l info -Q timing &

python /opt/domain/nfs-domain-mainserver/PYTHONVENV/bin/celery --app=celery_task.celery worker -E -l info -Q adminlog &

python /opt/domain/nfs-domain-mainserver/PYTHONVENV/bin/celery --app=celery_task.celery beat --scheduler django_celery_beat.schedulers:DatabaseScheduler -l info &
