from django.conf.urls import url
from django.urls import include
from rest_framework.routers import DefaultRouter
from groups import views

router = DefaultRouter()
router.register(r'/group', views.GroupsViewSet)
router.register(r'/group_detail', views.GroupsDetailViewSet)

urlpatterns = [
    # 移动组
    url(r'^/group_order_action', views.group_order_action),
    url(r'^', include(router.urls)),
]
