"""
-*- coding: utf-8 -*-
@Author: huchl
@Time: 2023/9/4 上午9:54
@File: urls.py
@Desc: 任务系统api路由
"""
from django.conf.urls import url, include
from jobs_management import views
from rest_framework.routers import DefaultRouter

router = DefaultRouter()

router.register('job_file', views.JobFileViewSet, basename="任务文件上传")
router.register('info', views.JobInfoViewSet, basename='任务信息列表')
router.register('job_device', views.JobDeviceInfoViewSet, basename='设备任务详细信息')

urlpatterns = [
    url(r'^', include(router.urls)),

]
