"""
-*- coding: utf-8 -*-
@Author: huchl
@Time: 2023/12/11 下午1:51
@File: filter.py
@Desc: 消息中心过滤条件
"""
from django_filters import rest_framework as filters
from message_center import models


class MessageCenterFilter(filters.FilterSet):
    class Meta:
        model = models.MessageCenter
        fields = {
            "message_user": ['exact', 'icontains'],
            "message_device": ['exact', 'icontains'],
            "target_module": ['exact', 'icontains'],
            "is_read": ['exact', 'icontains']
        }
