# -*- coding: utf-8 -*-
from rest_framework import serializers
from sysios.models import SysiosIso, SysiosFactory, SysiosTimezone, SysiosKeyboard, SysiosLanguage, SysiosDrive, \
    SysiosConfig, SysiosSoftware, SysiosArch, SysiosDomain


class SysiosIsoSerializer(serializers.ModelSerializer):
    class Meta:
        model = SysiosIso
        fields = '__all__'

class SysiosFactorySerializer(serializers.ModelSerializer):
    class Meta:
        model = SysiosFactory
        fields = '__all__'

class SysiosTimezoneSerializer(serializers.ModelSerializer):
    class Meta:
        model = SysiosTimezone
        fields = '__all__'

class SysiosKeyboardSerializer(serializers.ModelSerializer):
    class Meta:
        model = SysiosKeyboard
        fields = '__all__'

class SysiosLanguageSerializer(serializers.ModelSerializer):
    class Meta:
        model = SysiosLanguage
        fields = '__all__'

class SysiosDriveSerializer(serializers.ModelSerializer):
    class Meta:
        model = SysiosDrive
        fields = '__all__'

class SysiosConfigSerializer(serializers.ModelSerializer):
    class Meta:
        model = SysiosConfig
        fields = '__all__'

class SysiosSoftwareSerializer(serializers.ModelSerializer):
    class Meta:
        model = SysiosSoftware
        fields = '__all__'

class SysiosArchSerializer(serializers.ModelSerializer):
    class Meta:
        model = SysiosArch
        fields = '__all__'

class SysiosDomainSerializer(serializers.ModelSerializer):
    class Meta:
        model = SysiosDomain
        fields = '__all__'

