#-*- coding: utf-8 -*-

from django_filters import filters, CharFilter
from django_filters.rest_framework.filterset import FilterSet
from accounts.models import Ldap, BlackWhiteLists, DNSRecords

class LdapFilterSet(FilterSet):
    class Meta:
        model = Ldap
        fields = {
            'name': ['exact','icontains'],
            # 'created_at': ['created_at__gte', 'created_at__lte']
        }
        # fields = ['name']

class BlackWhiteListsFilterSet(FilterSet):
    content = CharFilter(field_name='content', lookup_expr='icontains')

    class Meta:
        model = BlackWhiteLists
        fields = ['list_type','op_type','content']

class DNSRecordsFilterSet(FilterSet):
    class Meta:
        model = DNSRecords
        fields = "__all__"