from django_filters import rest_framework as filters
from browser import models
from devices.models import Devices

 
class BrowserUserPolicyInfoFilter(filters.FilterSet):
    class Meta:
        model =  models.BrowserUserPolicyInfo
        fields = { 
            "name": ['exact', 'contains'], 
        }
    
class BrowserUserPolicyAccountFilter(filters.FilterSet):
    class Meta:
        model =  models.BrowserUserPolicyAccount
        fields = { 
            #用户账号、所属部门、策略状态、策略名称
            "account__name": [  'contains'], 
            # "org_id": ['exact' ],
            "status": ['exact' ],
            # "policy__name": [ 'contains'],
        }

class BrowserApplicationPolicyInfoFilter(filters.FilterSet):
    class Meta:
        model =  models.BrowserApplicationPolicyInfo
        fields = { 
               "name": ['exact', 'contains'], 
        }

class BrowserApplicationPolicyAccountFilter(filters.FilterSet):
    class Meta:
        model =  models.BrowserApplicationPolicyAccount
        fields = { 
             #用户账号、所属部门、策略状态、策略名称
            "account__name": [  'contains'], 
            # "org_id": ['exact' ],
            "status": ['exact' ],
            # "policy__name": [ 'contains'],
        }

class BrowserBookmarkPolicyInfoFilter(filters.FilterSet):
    class Meta:
        model =  models.BrowserBookmarkPolicyInfo
        fields = { 
               "name": ['exact', 'contains'], 
        }

class BrowserBookmarkPolicyAccountFilter(filters.FilterSet):
    class Meta:
        model =  models.BrowserBookmarkPolicyAccount
        fields = { 
              #用户账号、所属部门、策略状态、策略名称
            "account__name": [  'contains'], 
            # "org_id": ['exact' ],
            "status": ['exact' ],
            # "policy__name": [ 'contains'],
        }