from django.conf.urls import url
from django.urls import include
from rest_framework.routers import DefaultRouter

from fileupload import views

router = DefaultRouter()

urlpatterns = [
    url(r'^', include(router.urls)),

    # 镜像模块:镜像文件分片上传
    url(r'^sysios/chunk_upload/', views.SysIosChunkedUploadView.as_view(), name='镜像文件分块上传'),
    url(r'^sysios/chunk_upload_complete/', views.SysIosChunkedUploadCompleteView.as_view(), name='镜像文件分块上传完成'),
]
