"""
-*- coding: utf-8 -*-
@Author: huchl
@Time: 2023/3/28 下午2:55
@File: urls.py
@Desc: 
"""
from django.conf.urls import url
from django.urls import include
from rest_framework.routers import DefaultRouter
from index import views

router = DefaultRouter()

router.register('info', views.DevicesViewSet, basename='首页接口信息')
router.register('stats', views.StatsDataScreenViewSet, basename='统计-数据大屏')

urlpatterns = [
    url(r'^', include(router.urls))
]
