"""
-*- coding: utf-8 -*-
@Author: huchl
@Time: 2023/9/4 上午9:59
@File: filter.py
@Desc: 任务管理的过滤条件
"""
from django_filters import rest_framework as filters
from jobs_management import models


class JobFileFilter(filters.FilterSet):
    class Meta:
        model = models.JobFile
        fields = {
            "id": ['in'],
        }

class JobInfoFilter(filters.FilterSet):
    class Meta:
        model = models.JobInfo
        fields = {
            "job_name": ['exact', 'contains'],
            "job_type":['exact'],
            "creator":['contains'],
        }