#!/bin/bash


sm4Hash() {
    #decoded_str=$(echo -n "$1" | base64 --decode)
    sm4=$(java -cp Sm4Encrypt-1.6.jar:. NFSEncode "$1")
    echo $sm4
}

sm4Decrypt() {
    #decoded_str=$(echo -n "$1" | base64 --decode)
    sm4=$(java -cp Sm4Encrypt-1.6.jar:. NFSDecode "$1")
    echo $sm4
}

case "$1" in
   "sm4Hash")
       sm4Hash "$2"
       ;;
   "sm4Decrypt")
       sm4Decrypt "$2"
       ;;
   *)
   ;;

esac
exit 0