from django.conf.urls import url
from django.urls import include
from rest_framework.routers import DefaultRouter
from remote_assist import views

router = DefaultRouter()
router.register(r'/remote_assist', views.RemoteAssistViewSet)
router.register(r'/device', views.RemoteAssistDeviceViewSet)

urlpatterns = [
    # 请求远程协助
    url(r'^/check_remote_assist/', views.check_remote_assist),
    # 关闭远程协助
    url(r'^/stop_remote_assist/', views.stop_remote_assist),
    url(r'^', include(router.urls)),
]
