import time

from django_redis import get_redis_connection

conn = get_redis_connection('redis')

def get_redis_device_info(device):
    device_hostname = device.device_hostname
    # 直接从用户指定的通道名称构造通道组名称
    n = 0
    while True:
        redis_channel_name = conn.hget('client_channel_name', device_hostname)
        if redis_channel_name:
            redis_channel_name = redis_channel_name.decode('utf-8')
            break
        else:
            n = n + 1
            time.sleep(1)
            if n > 3:
                redis_channel_name = None
                break
    return redis_channel_name
