import redis


class RedisSubscribe(object):
    def __init__(self):
        self.__conn = redis.StrictRedis(host='172.30.81.83', port=6379, db=0)

    # 订阅者
    def subscribe(self, chan=None):
        ps = self.__conn.pubsub()
        ps.subscribe(chan)  # 选择接收的频道
        return ps


def InstallFreeipaWorker(subscribes):
    '''
    recv = {
            'type': 'message',
            'pattern': None,
            'channel': b'default_channel',
            'data': b'{
                'task':'task type'
                'device_ip':ip,
                'success': True,
                'msg':'install freeipa success'
            }'
        }

    '''
    redis_sub = subscribes.subscribe(chan='install_freeipa')
    # response = redis_sub.parse_response()
    # res = subscribes.handle_message(response)
    for recv in redis_sub.listen():
        print(recv)

    print('###### out ######')


if __name__ == '__main__':
    InstallFreeipaWorker(RedisSubscribe())