"""
-*- coding: utf-8 -*-
@Author: huchl
@Time: 2023/9/4 上午9:59
@File: filter.py
@Desc: 软件管理的过滤条件
"""
from django_filters import rest_framework as filters
from software import models


class SoftwarePolicyFilter(filters.FilterSet):
    class Meta:
        model = models.SoftwarePolicy
        fields = {
            "name": ['exact', 'icontains'],
            "status": ['exact', ],
            "creator": ['exact', 'icontains'],
        }


class SoftwareInfoFilter(filters.FilterSet):
    class Meta:
        model = models.SoftwareInfoModel
        fields = {
            "name": ['exact', 'contains'],
            "arch_id": ['exact', ],
            "os_id": ['exact', ],
            "software_type": ['exact','in'],
        }
