from rest_framework import serializers
from softwarecenter.models import SoftwareCenter, SoftwareCenterDevice

class SoftwareCenterSerializer(serializers.ModelSerializer):
    class Meta:
        model = SoftwareCenter
        fields = (
            'id', 'package_name', 'title'
        )


class SoftwareCenterDeviceSerializer(serializers.ModelSerializer):
    class Meta:
        model = SoftwareCenterDevice
        fields = (
            'id', 'software_title', 'device_name'
        )