"""
-*- coding: utf-8 -*-
@Author: huchl
@Time: 2023/3/10 上午11:14
@File: filters.py
@Desc: 
"""
from django_filters import rest_framework as filters
from .models import User


class UserFilter(filters.FilterSet):
    class Meta:
        model = User
        fields = {
            'username': ['exact', 'contains'],
            'nickname': ['exact', 'contains'],
            'is_active': ['exact']
        }
