from django.core.cache import caches
import json


def get_device_user_active(device_hostname=None):
    device_user_active_dict = {}
    key = "device_user_active"
    cache = caches['redis']
    device_user_active_dict_str = cache.get(key)
    if device_user_active_dict_str:
        device_user_active_dict = json.loads(device_user_active_dict_str)
        if device_hostname:
            device_user_active_dict = device_user_active_dict.get(device_hostname)
    return device_user_active_dict


def update_device_user_active(data):
    key = "device_user_active"
    cache = caches['redis']
    cache.set(key, json.dumps(data), 65)
    return True
